html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

/* ===== CONTENUTO PAGINA ===== */
.content {
    padding-top: 1.1rem;
    padding-bottom: 0.5rem;
    padding-left: 0px;
    !important;
    background: #f4f6fb;
}

/* ===== TITOLI ===== */
.IntestazioneTorneo {
    font-family: 'Montserrat', sans-serif;
    font-size: 2rem;
    font-weight: 800;
    margin-bottom: 0px;
    text-align: center;
}

h1 {
    font-size: 2.4rem;
    font-weight: 600;
    margin-bottom: 5px;
}

h2 {
    margin-top: 20px;
    margin-bottom: 15px;
    font-weight: 600;
    color: #444;
}

h3 {
    font-size: 1.5rem;
    margin-top: 10px;
    margin-bottom: 5px;
    font-weight: 500;
    color: #444;
}

/* ===== TABELLE ===== */
.quickgrid-table {
    width: 100%;  
    border-collapse: collapse;
    background: white;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 6px 18px rgba(0,0,0,0.08);
    margin-bottom: 25px;
}

.risultato-squadra {
    min-width: 100px;
}


@media (max-width: 414px) {
    .font-sm {
        font-size: x-small;
    }

    .risultato-squadra {
        min-width: 80px;
    }
}

/* Header */
.quickgrid-table thead {
    background: linear-gradient(90deg, #0d1b4c, #1b2a6b);
    color: white;
}

.quickgrid-table th {
    padding: 14px;
    font-size: 0.9rem;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

/* Celle */
.quickgrid-table td {
    padding: 5px 5px 5px 5px;
    border-bottom: 1px solid #eee;
}

/* Righe alternate */
.quickgrid-table tbody tr:nth-child(even) {
    background: #f8f9fc;
}

/* Hover */
.quickgrid-table tbody tr:hover {
    background: #e8edff;
    transition: 0.2s;
}

/* ===== DIMENSIONI COLONNE ===== */

.quickgrid-table .colonnaPunti {
    font-weight: bold;
    width: 20px;
    padding-left: 5px;
    padding-right: 5px;
}

@media (max-width: 500px) {

    .quickgrid-table .colonnaNumClass {
        width: 20px;
        padding-left: 2px;
        padding-right: 2px;
    }
}

td.classNumReti {
    color: darkblue;
}

td.classNumPartite {
    color: firebrick;
}

/* ===== RISULTATI PARTITE ===== */
.score {
    font-weight: bold;
    font-size: 1.1rem;
    text-align: center;
    width: 60px;
}

.score-penalty {
    font-weight: bold;
    font-size: 1.1rem;
    color: dodgerblue;
    text-align: center;
    width: 60px;
}

.team {
    font-weight: bold;
    color: darkslategray;
}

/* Data */
.datetime {
    font-size: 0.85rem;
    color: #666;
}

/* ===== CLASSIFICA ===== */
.classifica {
    margin-top: 20px;
}

/* Posizione */
.position {
    font-weight: bold;
    text-align: center;
}

/* ===== TITOLI SEZIONI ===== */

/* Titolo principale torneo */
.torneo-title {
    font-size: 1.6rem;
    font-weight: 800;
    color: #1f2a44;
    margin-bottom: 0.5rem;
}

.torneo-subtitle {
    font-size: 1.0rem;
    font-weight: 400;
    color: #1f2a44;
    margin-bottom: 0.5rem;
}

.torneo-data {
    font-size: 1.0rem;
    font-weight: 400;
    color: #1f2a44;
    margin-bottom: 0.5rem;
}

/* Sottotitolo girone */
.girone-title {
    font-size: 1.6rem;
    font-weight: 800;
    color: #3b82f6;
    margin-bottom: 0.6rem;
    text-align: center
}

/* Tempi di gioco */
.tempi-title {
    font-size: 0.8rem;
    color: darkblue;
    margin-bottom: 0.5rem;
}

/* Note title*/
.note-title {
    font-size: 0.8rem;
    color: darkslategrey;
    margin-bottom: 0.5rem;
}

/* Note calci di rigore*/
.dcr-note {
    font-size: 0.8rem;
    color: dodgerblue;
    font-weight: 600;
}

/* Titoli sezione (Partite, Classifica) */
.section-title {
    font-size: 1.4rem;
    font-weight: 600;
    color: #0f172a;
    margin: 0.5rem 0 0.5rem;
    position: relative;
    padding-bottom: 6px;
}

/* Linea decorativa sotto */
.section-title::after {
    content: "";
    display: block;
    width: 150px;
    height: 3px;
    background: #3b82f6;
    margin-top: 6px;
    border-radius: 2px;
}

.admin-title-sezione {
    font-size: 1.4rem;
    font-weight: 600;
    color: #3b82f6;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

/* Ensure all the logs are the same size, and centered */
.logosquadra {
    width: 2.0rem;
    height: 2.0rem;
    margin: auto;
}

.logosquadra-hof {
    width: 3.0rem;
    height: 3.0rem;
    margin: auto;
}


/* Pulsanti Admin Result */
.icon-btn {
    border: none;
    background: transparent;
    padding: 4px 6px;
    border-radius: 8px;
    transition: all 0.2s ease;
}

.icon-btn:hover {
    background-color: rgba(0,0,0,0.05);
    transform: scale(1.1);
}

.icon-btn i {
    font-size: 1.1rem;
}

/* Punteggi Admin Result */
.score-input {
    width: 60px;
    text-align: center;
    border-radius: 10px;
    border: 1px solid #ddd;
    padding: 4px;
    transition: all 0.2s ease;
}

.score-input:focus {
    border-color: #0d6efd;
    box-shadow: 0 0 0 2px rgba(13,110,253,0.15);
    outline: none;
}

.score-text {
    font-weight: 600;
    font-size: 1rem;
}


/* Admin page buttons */
.custom-btn {
    font-size: 1.5rem;
    font-weight: 600;
    transition: all 0.2s ease-in-out;
}

    .custom-btn:hover {
        transform: scale(1.05);
        opacity: 0.95;
    }

.cp-margin-b {
    margin-bottom: 10px;
}

/* Override framework css*/
.page .px-4 {
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}

.note-row {
    font-size: 0.75rem;
    font-weight: bold;
    color: darkblue;
}


.page {
    display: flex;
    min-height: 100vh;
}

/* area centrale con sfondo grigio laterale */
.main-area {
    flex: 1;
    background: #f2f2f2; /* bande laterali */
    display: flex;
    justify-content: center;
}

/* contenuto centrale */
.main-wrapper {
    width: 100%;
    max-width: 1000px; /* <-- qui controlli la larghezza del contenuto */
    background: white;
    min-height: 100vh;
    padding: 5px;
}

/* pagina info */
.info-container {
    max-width: 700px;
    margin: 0 auto;
    padding: 20px;
    line-height: 1.7;
    font-size: 1.05rem;
}

.info-email a {
    font-size: 1.2rem;
    font-weight: bold;
    text-decoration: none;
}

.info-email a:hover {
        text-decoration: underline;
    }

.info-credits {
    margin-top: 15px;
    text-align: center;
    font-size: 0.85rem;
    opacity: 0.7;
}
